Bug 172700 - new port databases/mongodb22 NOSQL database
new port databases/mongodb22 NOSQL database
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 21:20 UTC by raven428
Modified: 2012-11-04 00:57 UTC (History)
0 users

See Also:


Attachments
mongodb22.shar (20.81 KB, text/plain)
2012-10-14 21:20 UTC, raven428
no flags Details
mongodbportpatch (17.53 KB, application/octet-stream)
2012-10-17 15:17 UTC, raven428
no flags Details
mongodb.diff (25.55 KB, patch)
2012-10-19 14:09 UTC, Wesley Shields
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description raven428 2012-10-14 21:20:01 UTC
mongodb 2.2.0 NOSQL database. possible should replace /usr/ports/databases/mongodb, but i don't sure.
Comment 1 cvs-src 2012-10-15 13:25:31 UTC
Dmitry Sukhodoyev wrote on 15.10.2012 00:16:
>
>> Number:         172700
>> Category:       ports
>> Synopsis:       new port databases/mongodb22 NOSQL database

[...]

>> Description:
> mongodb 2.2.0 NOSQL database. possible should replace /usr/ports/databases/mongodb, but i don't sure.

They are fully compatible, so I'd say it should go into 
databases/mongodb instead.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 2 raven428 2012-10-17 10:31:38 UTC
let it go to databases/mongodb. should i make new PR or current PR is
sufficient?

On Mon, Oct 15, 2012 at 6:25 PM, Ruslan Mahmatkhanov <cvs-src@yandex.ru> wrote:
> Dmitry Sukhodoyev wrote on 15.10.2012 00:16:
>>
>>
>>> Number:         172700
>>> Category:       ports
>>>
>>> Synopsis:       new port databases/mongodb22 NOSQL database
>
>
> [...]
>
>>> Description:
>>
>> mongodb 2.2.0 NOSQL database. possible should replace
>> /usr/ports/databases/mongodb, but i don't sure.
>
>
> They are fully compatible, so I'd say it should go into databases/mongodb
> instead.
>
> --
> Regards,
> Ruslan
>
> Tinderboxing kills... the drives.
Comment 3 cvs-src 2012-10-17 13:25:51 UTC
Dmitry Sukhodoyev wrote on 17.10.2012 13:31:
> let it go to databases/mongodb. should i make new PR or current PR is
> sufficient?

You don't need to open a new pr, but this update should be sent as 
unified diff against the current databases/mongodb, not the shar. Just 
do it and submit as follow-up to this pr. Thank you.

Wesley, since you are picked 
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/172469, you may be 
interested in picking this one too.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 4 Wesley Shields freebsd_committer 2012-10-17 13:39:29 UTC
On Wed, Oct 17, 2012 at 04:25:51PM +0400, Ruslan Mahmatkhanov wrote:
> Dmitry Sukhodoyev wrote on 17.10.2012 13:31:
> > let it go to databases/mongodb. should i make new PR or current PR is
> > sufficient?
> 
> You don't need to open a new pr, but this update should be sent as 
> unified diff against the current databases/mongodb, not the shar. Just 
> do it and submit as follow-up to this pr. Thank you.
> 
> Wesley, since you are picked 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/172469, you may be 
> interested in picking this one too.

Thanks. I'll grab this PR.

I spent some time last night working on the update to 2.2.0 but hit a
roadblock on some issues with spidermonkey. I'm working through things
and hope to have the port updated when time permits.

In the meantime, if you can attach a unified diff instead of a shar to
this PR it would help me easily see what you did.

-- WXS
Comment 5 Wesley Shields freebsd_committer 2012-10-17 13:39:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 6 raven428 2012-10-17 15:17:02 UTC
unified diff in attachment.

On Wed, Oct 17, 2012 at 6:25 PM, Ruslan Mahmatkhanov <cvs-src@yandex.ru> wrote:
> You don't need to open a new pr, but this update should be sent as unified
> diff against the current databases/mongodb, not the shar. Just do it and
> submit as follow-up to this pr. Thank you.
Comment 7 Wesley Shields freebsd_committer 2012-10-19 14:09:51 UTC
I've made some changes to your patch.

I've removed the DEVEL option. Toggling it was doing nothing for me, the
files were always installed. Rather than deal with it I decided that
installing those files is more useful than harmful. I added --ssl to
SCONS_ARGS. I also cleaned up plist (you had some file leftover in
there).

I'm sending this to you for comment and also CC'ing the maintainer to
start the maintainer timeout process.

-- WXS
Comment 8 Wesley Shields freebsd_committer 2012-11-04 00:57:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!